<?xml version="1.0" encoding="UTF-8"?>
<chapter version="5.0" xmlns="http://docbook.org/ns/docbook" 
         xmlns:xlink="http://www.w3.org/1999/xlink" 
         xmlns:xi="http://www.w3.org/2001/XInclude" 
         xmlns:svg="http://www.w3.org/2000/svg" 
         xmlns:mml="http://www.w3.org/1998/Math/MathML" 
         xmlns:html="http://www.w3.org/1999/xhtml" 
         xmlns:db="http://docbook.org/ns/docbook" xml:lang="en" 
         xml:id="jonas_4.8">
         
  <info><title>Migrating from JOnAS 4.7.x EE to JOnAS 4.8 EE</title></info>
  
  <para>Applications developed for JOnAS 4.7.x do not require changes.
  </para>
  <section><info><title>Configuration changes</title></info>
    
    <para>No configuration changes</para>
  </section>
  <section><info><title>New JORAM version(JORAM_4_3_25)</title></info>
    

    <para>This implementation required changes to the message persistance
        module. Therefore, JORAM's stored messages from previous versions are
        not compliant with this new version; the JORAM persistance directory
        (s0 by default) must be deleted before the migration.</para>
    <note>
      <para>remember that this directory is created in the JOnAS's working
          directory at run time</para>
    </note>
  </section>
  <section><info><title>Updating $JONAS_BASE</title></info>
        

        <para>if starting from an existing JONAS_BASE, it must be updated in
        order to upgrade to the latest ear/war/jar/rar files provided (e.g.
        new versions of the JORAM or JDBC rars).</para>

        <screen>cd $JONAS_ROOT
ant update_jonasbase</screen>
  </section>
</chapter>